Default Image Transparency Possible?

Discussion in 'AutoCAD' started by JRogers, Jan 20, 2005.

  1. JRogers

    JRogers Guest

    Can anyone tell me if there is a setting that will allow me to default all
    images to be transparent when inserted?
     
    JRogers, Jan 20, 2005
    #1
  2. JRogers

    kemp Guest

    Maybe not as clean as you would like but this is what I've made for myself:

    (defun c:im ( / image-object)
    (command "_.image" "A" "~")(pause-cmd)
    (setq image-object (vlax-ename->vla-object (entlast)))
    (vla-put-transparency image-object :vlax-true)
    )

    kemp
     
    kemp, Jan 20, 2005
    #2
  3. JRogers

    kemp Guest

    Guess I should give the pause-cmd function too :p

    (defun pause-cmd ()
    (while (= (getvar "CMDACTIVE") 1) (command PAUSE))
    )
     
    kemp, Jan 20, 2005
    #3
  4. JRogers

    JRogers Guest

    Thanks! This works just fine for my purposes. I just have to know what the
    scale of the drawing is when I am inserting it. Although it doesn't ask for
    the size or rotation I found that I can enter it just the same.
     
    JRogers, Jan 21, 2005
    #4
  5. JRogers

    JRogers Guest

    I have another question.... Each time I insert an image the Shift+Left Click
    doesn't work to select an image. I have to go into the mapioptions dialog,
    select the general tab, uncheck and then recheck the shift+left click image
    box and then exit in order to activate this feature. Any idea how I can
    include this in your routine so that I don't have to keep going through this
    procedure?
     
    JRogers, Jan 21, 2005
    #5
  6. JRogers

    kemp Guest

    Are you using Autodesk MAP? If so I know nothing about that package - sorry!

    kemp
     
    kemp, Jan 21, 2005
    #6
  7. JRogers

    JRogers Guest

    Yes I am using map but I am not using the map image insert routine. I am
    just using the regular Insert > Raster Image command for unreferenced tiffs.
    Other than mapioptions to activate the Shift+Left Click option is there a
    regular Autocad command to do the same thing?
     
    JRogers, Jan 21, 2005
    #7
  8. JRogers

    kemp Guest

    In Vanilla autocad (setvar "PICKADD" 1) controls shift clicking, but it
    sounds like MAP handles it differently...

    kemp
     
    kemp, Jan 22, 2005
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.